import java.util.Scanner;
public class Mavenproject3 {
    public static void ispitivanje(int[] niz, int L){
        int resultat = -1;
        for (int i = 1; i <= niz.length; i++) {
            if (niz[i] <= L) {
                resultat = i; 
                break;
            }
        }
        System.out.println(resultat);
    
    }
    public static int[] Unos(int[] niz){
        Scanner in = new Scanner(System.in);
        int a;
        for (int i = 0; i < niz.length; i++) {
            a = in.nextInt();
            if (a<=1000000000 && a>=1) {
                 niz[i]=a;
            }
           
        }
    
    return niz;
    }
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);

        int N = in.nextInt();
        int L = in.nextInt();
        int[] niz = new int[N];
        
    }
}